Disable events read, write, or both on a buffer event

- « EventBufferEvent::createPair

- EventBufferEvent::enable »

- PHP Manual
- EventBufferEvent
- Disable events read, write, or both on a buffer event

# EventBufferEvent::disable

(PECL event >= 1.2.6-beta)

EventBufferEvent::disable — Disable events read, write, or both on a buffer event

### Description

public EventBufferEvent::disable( int `$events` ): bool

Disable events `Event::READ` , `Event::WRITE` , or `Event::READ` `|` `Event::WRITE` on a buffer event.

### Parameters

`events`

### Return Values

Returns `true` on success or `false` on failure.

### See Also

- EventBufferEvent::enable() - Enable events read, write, or both on a buffer event